Bug 183399 - 'sleeping function called from invalid context' kernel traceback in acpi during wakeup
'sleeping function called from invalid context' kernel traceback in acpi duri...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-28 15:36 EST by Will Woods
Modified: 2015-01-04 17:25 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-02 02:20:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Will Woods 2006-02-28 15:36:22 EST
Running the latest FC5 kernel (1991), when I wake my Thinkpad T43 from suspend I
get the following message:

PM: Entering mem sleep
Intel machine check architecture supported.
Intel machine check reporting enabled on CPU#0.
Back to C!
Debug: sleeping function called from invalid context at mm/slab.c:2700
in_atomic():0, irqs_disabled():1
 [<c01e1195>] acpi_os_acquire_object+0xb/0x3c     [<c0151db8>]
kmem_cache_alloc+0x20/0x7c
 [<c01e1195>] acpi_os_acquire_object+0xb/0x3c     [<c01f6359>]
acpi_ut_allocate_object_desc_dbg+0x10/0x3e
 [<c01f639a>] acpi_ut_create_internal_object_dbg+0x13/0x68     [<c01f26ad>]
acpi_rs_set_srs_method_data+0x3d/0xb7
 [<c0150da9>] cache_alloc_debugcheck_after+0xb8/0xea     [<c01f99ee>]
acpi_pci_link_set+0x3b/0x169
 [<c01f9aa3>] acpi_pci_link_set+0xf0/0x169     [<c01f9b50>]
irqrouter_resume+0x34/0x52
 [<c022654f>] __sysdev_resume+0x11/0x53     [<c022668f>] sysdev_resume+0x16/0x47
 [<c022a63e>] device_power_up+0x5/0xa     [<c0132b7a>] enter_state+0x142/0x1ba
 [<c0132c7a>] state_store+0x88/0x94     [<c0132bf2>] state_store+0x0/0x94
 [<c0187d9e>] subsys_attr_store+0x1e/0x22     [<c0187ead>]
sysfs_write_file+0xa9/0xd2
 [<c0187e04>] sysfs_write_file+0x0/0xd2     [<c0154863>] vfs_write+0xa1/0x140
 [<c0154d6b>] sys_write+0x3c/0x63     [<c0102bc1>] syscall_call+0x7/0xb
PM: Finishing wakeup.

The machine seems to suspend and resume fine nonetheless.
Comment 1 Dave Jones 2006-03-02 02:20:17 EST
kernel-2.6.15-1.2007_FC5 fixes this (building now)

Note You need to log in before you can comment on or make changes to this bug.